---
title: "Get all themes"
description: "Get information about all themes in the store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/get-all-themes'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/get-all-themes.md'
---
# Get all themes

Get information about all themes in the store. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /themes.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_content`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `themes`

  array<object>

  The information of all themes in the store.

  * `update_at`

    string

    The update time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `create_at`

    string

    The creation time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `id`

    string

    The unique ID of the theme.

  * `name`

    string

    The name of the theme.

  * `original_theme_id`

    string

    If the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returns `null`.

  * `role`

    string

    The status of the theme. Valid values are:
    - `published`: Published theme
    - `unpublished`: Unpublished theme
    - `development`: Theme in development

  * `theme_type_version`

    string

    The version identifier of the theme.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get all themes"
  ],
  "description": "Get information about all themes in the store. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "2OKbbDFr",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "themes": {
                "name": "themes",
                "description": "The information of all themes in the store.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "update_at": {
                      "name": "update_at",
                      "description": "The update time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2025-01-13T16:58:56+08:00"
                    },
                    "create_at": {
                      "name": "create_at",
                      "description": "The creation time of the theme. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2024-10-28T16:34:30+08:00"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique ID of the theme.",
                      "type": "string",
                      "example": "671f4c96d2682a1f5407536e"
                    },
                    "name": {
                      "name": "name",
                      "description": "The name of the theme.",
                      "type": "string",
                      "example": "Modern1"
                    },
                    "original_theme_id": {
                      "name": "original_theme_id",
                      "description": "If the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returns `null`.",
                      "type": "string",
                      "example": "6486f3eca26b90084144fa0b"
                    },
                    "role": {
                      "name": "role",
                      "description": "The status of the theme. Valid values are:\n- `published`: Published theme\n- `unpublished`: Unpublished theme\n- `development`: Theme in development",
                      "type": "string"
                    },
                    "theme_type_version": {
                      "name": "theme_type_version",
                      "description": "The version identifier of the theme.",
                      "type": "string",
                      "example": "2.1"
                    }
                  },
                  "example": {
                    "create_at": "2024-10-28T16:34:30+08:00",
                    "id": "671f4c96d2682a1f5407536e",
                    "name": "Modern1",
                    "original_theme_id": "6486f3eca26b90084144fa0b",
                    "role": null,
                    "theme_type_version": "2.1",
                    "update_at": "2025-01-13T16:58:56+08:00"
                  }
                },
                "example": [
                  {
                    "original_theme_id": "6486f3eca26b90084144fa0b",
                    "role": null,
                    "theme_type_version": "2.1",
                    "update_at": "2025-01-13T16:58:56+08:00",
                    "create_at": "2024-10-28T16:34:30+08:00",
                    "id": "671f4c96d2682a1f5407536e",
                    "name": "Modern1"
                  }
                ]
              }
            },
            "example": {
              "themes": [
                {
                  "id": "671f4c96d2682a1f5407536e",
                  "name": "Modern1",
                  "original_theme_id": "6486f3eca26b90084144fa0b",
                  "role": null,
                  "theme_type_version": "2.1",
                  "update_at": "2025-01-13T16:58:56+08:00",
                  "create_at": "2024-10-28T16:34:30+08:00"
                }
              ]
            }
          },
          "examples": {
            "Get all themes ": {
              "description": "Get all themes ",
              "value": {
                "themes": [
                  {
                    "create_at": "2022-12-01T20:15:48+08:00",
                    "id": "63889af46841fe15da877e2b",
                    "name": "Arise21",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "published",
                    "update_at": "2022-12-21T15:40:47+08:00"
                  },
                  {
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-12-01T20:15:53+08:00",
                    "create_at": "2022-12-01T18:31:13+08:00",
                    "id": "6388827102b701028efac460",
                    "name": "Arise20"
                  },
                  {
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-12-01T18:28:39+08:00",
                    "create_at": "2022-12-01T18:28:39+08:00",
                    "id": "638881d702b701028efac450",
                    "name": "Arise19"
                  },
                  {
                    "update_at": "2022-12-01T18:31:51+08:00",
                    "create_at": "2022-11-30T12:49:40+08:00",
                    "id": "6386e0e4fef2186c87cced55",
                    "name": "Arise18",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished"
                  },
                  {
                    "name": "Arise17",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-11-30T12:49:45+08:00",
                    "create_at": "2022-11-25T11:46:10+08:00",
                    "id": "63803a82c57c9739b67227b6"
                  },
                  {
                    "create_at": "2022-11-17T10:48:13+08:00",
                    "id": "6375a0ed16784d67dfd2a961",
                    "name": "Arise16",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-11-25T11:46:15+08:00"
                  },
                  {
                    "id": "6342b8b7a60c7e485d6c7624",
                    "name": "Arise15",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-11-17T10:48:21+08:00",
                    "create_at": "2022-10-09T20:04:07+08:00"
                  },
                  {
                    "role": "unpublished",
                    "update_at": "2022-10-09T18:49:34+08:00",
                    "create_at": "2022-09-27T11:05:00+08:00",
                    "id": "6332685c47284d43592614c8",
                    "name": "Arise14",
                    "original_theme_id": "62319e9585f4b048db79a50e"
                  },
                  {
                    "update_at": "2022-10-10T16:43:21+08:00",
                    "create_at": "2022-09-27T10:55:02+08:00",
                    "id": "6332660647284d4359260fd9",
                    "name": "Lite2",
                    "original_theme_id": "632837ffe9b6897c7b9070ae",
                    "role": "unpublished"
                  },
                  {
                    "create_at": "2022-09-19T18:02:43+08:00",
                    "id": "63283e43e9b6897c7b909000",
                    "name": "Wink10",
                    "original_theme_id": "62abf5c19669c849b47a0392",
                    "role": "unpublished",
                    "update_at": "2022-10-24T11:18:10+08:00"
                  },
                  {
                    "name": "Wink9",
                    "original_theme_id": "62abf5c19669c849b47a0392",
                    "role": "unpublished",
                    "update_at": "2022-11-14T22:38:44+08:00",
                    "create_at": "2022-09-17T17:45:20+08:00",
                    "id": "63259730bb5415442b4d7dd9"
                  },
                  {
                    "role": "unpublished",
                    "update_at": "2022-11-09T18:45:40+08:00",
                    "create_at": "2022-09-17T17:43:32+08:00",
                    "id": "632596c4bb5415442b4d7dcc",
                    "name": "Wink8",
                    "original_theme_id": "62abf5c19669c849b47a0392"
                  },
                  {
                    "update_at": "2022-11-14T22:42:02+08:00",
                    "create_at": "2022-09-17T17:42:53+08:00",
                    "id": "6325969dbb5415442b4d7dbf",
                    "name": "Arise13",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished"
                  },
                  {
                    "name": "Simple7",
                    "original_theme_id": "61a75c4e9f8c201e6e9473e0",
                    "role": "unpublished",
                    "update_at": "2022-09-17T17:34:59+08:00",
                    "create_at": "2022-09-17T17:34:59+08:00",
                    "id": "632594c342d1dc072ce3aae5"
                  },
                  {
                    "original_theme_id": "6204ea278bd39024a3a05b88",
                    "role": "unpublished",
                    "update_at": "2022-09-17T17:31:28+08:00",
                    "create_at": "2022-09-17T17:31:28+08:00",
                    "id": "632593f0bb5415442b4d7dbd",
                    "name": "Bobo-test1"
                  },
                  {
                    "create_at": "2022-09-15T15:05:50+08:00",
                    "id": "6322cece10cd57458a0ef102",
                    "name": "Arise12",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-09-15T15:05:50+08:00"
                  },
                  {
                    "id": "6315a9ffb0d2627ebbe2b994",
                    "name": "Wink7",
                    "original_theme_id": "62abf5c19669c849b47a0392",
                    "role": "unpublished",
                    "update_at": "2022-09-17T17:50:56+08:00",
                    "create_at": "2022-09-05T15:49:19+08:00"
                  },
                  {
                    "create_at": "2022-08-24T10:32:14+08:00",
                    "id": "63058dae07ad5d6ec5b7d9e2",
                    "name": "Brooklyn8",
                    "original_theme_id": "618238a6b9b5dc2d7e525436",
                    "role": "unpublished",
                    "update_at": "2022-09-13T18:14:12+08:00"
                  },
                  {
                    "create_at": "2022-08-23T17:29:14+08:00",
                    "id": "63049dea1aa5fa56b0c17cd3",
                    "name": "Wink6",
                    "original_theme_id": "62abf5c19669c849b47a0392",
                    "role": "unpublished",
                    "update_at": "2022-09-13T19:49:59+08:00"
                  },
                  {
                    "role": "unpublished",
                    "update_at": "2022-08-22T17:08:09+08:00",
                    "create_at": "2022-08-22T17:08:09+08:00",
                    "id": "6303477927ed7c01fa62e9cf",
                    "name": "Wink5",
                    "original_theme_id": "62abf5c19669c849b47a0392"
                  },
                  {
                    "id": "6302e66298bde308783329d0",
                    "name": "Arise11",
                    "original_theme_id": "62319e9585f4b048db79a50e",
                    "role": "unpublished",
                    "update_at": "2022-08-23T17:29:18+08:00",
                    "create_at": "2022-08-22T10:13:54+08:00"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/themes.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get all themes",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_content"
  ]
}
```